//-----------------------------------------------------------------------------
//
// $Id: TdaApp.java 8 2006-02-01 16:58:12Z jnross $
// $HeadURL: svn+ssh://wopr.csl.mtu.edu/major/jnross/svn_repos/cs4760/TdaSimulator/src/TdaApp.java $
//
//-----------------------------------------------------------------------------

import java.awt.event.*;

public interface TdaApp {

	boolean isWide();
	
	void buttonOneDown(InputEvent event);
	void buttonOneUp(InputEvent event);
	//void buttonOnePressed(InputEvent event);
	void buttonTwoDown(InputEvent event);
	void buttonTwoUp(InputEvent event);
	//void buttonTwoPressed(InputEvent event);
	void buttonThreeDown(InputEvent event);
	void buttonThreeUp(InputEvent event);
	//void buttonThreePressed(InputEvent event);
	void buttonFourDown(InputEvent event);
	void buttonFourUp(InputEvent event);
	//void buttonFourPressed(InputEvent event);
}
